PostgreSQL 8.3.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# dblink_connect

## Name

dblink_connect -- opens a persistent connection to a remote database

## Synopsis

        dblink_connect(text connstr) returns text
        dblink_connect(text connname, text connstr) returns text

## Description

`dblink_connect()` establishes a connection to a remote PostgreSQL database. The server and database to be contacted are identified through a standard libpq connection string. Optionally, a name can be assigned to the connection. Multiple named connections can be open at once, but only one unnamed connection is permitted at a time. The connection will persist until closed or until the database session is ended.

## Arguments

`conname`

  The name to use for this connection; if omitted, an unnamed connection is opened, replacing any existing unnamed connection.

`connstr`

  libpq-style connection info string, for example `hostaddr=127.0.0.1 port=5432 dbname=mydb user=postgres password=mypasswd`. For details see `PQconnectdb` in Section 30.1.

## Return Value

Returns status, which is always `OK` (since any error causes the function to throw an error instead of returning).

## Notes

Only superusers may use `dblink_connect` to create non-password-authenticated connections. If non-superusers need this capability, use `dblink_connect_u` instead.

It is unwise to choose connection names that contain equal signs, as this opens a risk of confusion with connection info strings in other `dblink` functions.

## Example

     select dblink_connect('dbname=postgres');
      dblink_connect
     ----------------
      OK
     (1 row)

     select dblink_connect('myconn', 'dbname=postgres');
      dblink_connect
     ----------------
      OK
     (1 row)

Prev | Home | Next
dblink | Up | dblink_connect_u